Bug 140852 - Clock applet calendar view skips months
Clock applet calendar view skips months
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 11:20 EST by Colin Stewart
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 09:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Stewart 2004-11-25 11:20:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The calendar view of the clock applet starts by showing the current
month.  Clicking on the left and right arrows next to the month
changes the month that is displayed, but it often skips multiple months.

Version-Release number of selected component (if applicable):
gnome-applets 1:2.8.0-5 (clock version 2.8.1)

How reproducible:
Always

Steps to Reproduce:
1. Left click on the clock applet.
2. Left click on the right arrow next to the month.
3. If this does not skip a month then click and hold briefly - the
calendar will skip multiple months long after the click is released.
    

Actual Results:  The calendar should move one month for each
individual click, but appears to be moving proportional to the length
of the click.

Expected Results:  One month increment/decrement at a time.

Additional info:
Comment 1 Jean-Francois Saucier 2004-11-30 15:22:59 EST
I have the same problem as you.

Do you have Evolution appointements or tasks or just plain and simple
month view?

I think that the time and CPU that is use to query
evolution-data-server cause the clock applet to catch the mouse up
event later, so it skip some month.

I try the test to go to a month without many appointements and tasks
and it skip just one month. If I go to a month with many appointements
and tasks, it skip at least two to three months...
Comment 2 Colin Stewart 2004-12-03 14:55:14 EST
I have several appointements and tasks setup, and to top it off a
relatively slow computer (P3-450).  

I think the logic in the applet needs to be changed so that you can't
scroll through all months just by holding down the arrow buttons.
Comment 3 Mark McLoughlin 2004-12-20 09:36:44 EST
This is reported upstream already, lets track it there:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140852

Note You need to log in before you can comment on or make changes to this bug.